/*
 * SubMenuItem.hpp
 *
 *  Created on: Dec 10, 2009
 *      Author: crueger
 */

#ifndef SUBMENUITEM_HPP_
#define SUBMENUITEM_HPP_

#include "Menu/TextMenu/MenuItem.hpp"

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <iosfwd>

class TxMenu;

class SubMenuItem : public MenuItem
{
public:
  SubMenuItem(char _trigger,const std::string &_description,TxMenu* const _parent, TxMenu* const _instance);
  ~SubMenuItem();

  virtual void doTrigger();
private:
  TxMenu* theMenu;
};

#endif /* SUBMENUITEM_HPP_ */
